#!/bin/sh
DAEMON=repeater
DAEMON_CONF=/tmp/flash/uvncrepeater.ini
DAEMON_LOG=/var/log/uvncrepeater.log
. /etc/init.d/modlibrc
init() {
echo "copy uvncrepeater.ini to $DAEMON_CONF"
cp /etc/uvncrepeater.ini $DAEMON_CONF
}
start() {
echo -n 'adduser uvncrep...'
adduser -D -H uvncrep
if [ ! -r /tmp/flash/uvncrepeater.ini ]; then
init
fi
echo -n 'Starting uvncrepeater...'
if [ -z "$(pidof "$DAEMON")" ]; then
$DAEMON $DAEMON_CONF > $DAEMON_LOG 2>&1 &
exitval=$?
if [ "$exitval" -eq 0 ]; then
echo 'done.'
else
echo 'failed.'
fi
else
echo "$DAEMON is already running"
fi
}
stop() {
echo -n 'Stoping uvncrepeater...'
killall $DAEMON > /dev/null 2>&1
exitval=$?
if [ "$exitval" -eq 0 ]; then
echo 'done.'
else
echo 'failed.'
exit $exitval
fi
}
case "$1" in
""|load)
modreg daemon $DAEMON
;;
unload)
modunreg daemon $DAEMON
modlib_stop
;;
start)
modlib_start
;;
stop)
modlib_stop
;;
restart)
modlib_stop
sleep 1
modlib_start
;;
status)
if [ -z "$(pidof "$DAEMON")" ]; then
echo 'stoped'
else
echo 'running'
fi
;;
reset)
if [ ! -z "$(pidof "$DAEMON")" ]; then
stop
fi
init
start
;;
*)
echo "Usage: $0 [start|stop|restart|status|reset]" 1>&2
exit 1
;;
esac
exit 0
root@fritz:/# find -name rc.uvncrepeater
./etc/init.d/rc.uvncrepeater
root@fritz:/# cd ./etc/init.d
root@fritz:/etc/init.d# ls -l
-rw-r--r-- 1 root root 689 Jan 28 17:31 modlibfw
-rw-r--r-- 1 root root 3005 Jan 28 17:31 modlibinetd
-rw-r--r-- 1 root root 10630 Jan 28 17:31 modlibrc
-rwxrwxrwx 1 root root 74569 Jan 29 01:51 rc.S
-rwxrwxrwx 1 root root 249 Feb 10 2014 rc.audiod.sh
-rwxrwxrwx 1 root root 3036 Feb 10 2014 rc.chrony
-rwxrwxrwx 1 root root 14077 Jan 29 01:51 rc.conf
-rwxr-xr-x 1 root root 734 Jan 28 17:31 rc.crond
-rwxrwxrwx 1 root root 6405 Feb 10 2014 rc.dsl.sh
-rwxr-xr-x 1 root root 2263 Jan 28 17:31 rc.dsld
-rwxr-xr-x 1 root root 1502 Jan 28 17:31 rc.ftpd
-rwxr-xr-x 1 root root 934 Jan 29 01:51 rc.inetd
-rwxr-xr-x 1 root root 5127 Jan 29 01:51 rc.mod
-rwxr-xr-x 1 root root 4227 Jan 28 17:31 rc.multid
-rwxrwxrwx 1 root root 9409 Jan 29 01:51 rc.net
-rwxrwxrwx 1 root root 394 Feb 10 2014 rc.pictured.sh
-rwxrwxrwx 1 root root 252 Feb 10 2014 rc.preaudio.sh
-rwxrwxrwx 1 root root 8707 Feb 10 2014 rc.ptest.sh
-rwxr-xr-x 1 root root 861 Jan 29 01:51 rc.rtc.sh
-rwxr-xr-x 1 root root 395 Jan 28 17:31 rc.smbd
-rwxr-xr-x 1 root root 1576 Jan 28 17:31 rc.swap
-rwxr-xr-x 1 root root 2674 Jan 29 01:51 rc.syslogd
-rwxr-xr-x 1 root root 1448 Jan 28 17:31 rc.telnetd
-rwxrwxrwx 1 root root 348 Feb 10 2014 rc.usbhost
-rw-r--r-- 1 root root 1804 Jan 28 22:24 rc.uvncrepeater
-rwxrwxrwx 1 root root 13023 Feb 10 2014 rc.vdsl.sh
-rwxrwxrwx 1 root root 1057 Feb 10 2014 rc.voip
-rwxr-xr-x 1 root root 956 Jan 28 17:31 rc.webcfg
-rwxr-xr-x 1 root root 56842 Feb 10 2014 rc.wlan
root@fritz:/etc/init.d# chmod a+x rc.uvncrepeater
chmod: rc.uvncrepeater: Read-only file system
root@fritz:/etc/init.d# chmod u+x rc.uvncrepeater
chmod: rc.uvncrepeater: Read-only file system
root@fritz:/etc/init.d#
Ich bin mir zwar auch nicht sicher, aber deshalb habe ich Dich ja auf den Inhalt von "modreg" aufmerksam machen wollen.Ist denn ein cgi unbedingt notwendig damit der uvncrepeater unter Static packages auftaucht?
Das ist z.B. ein Satz, der für mich in diesem Thread überhaupt keinen Sinn ergibt ... erstens ist hier wieder von einem Freetz-1.1.4 die Rede und ich weiß immer noch nicht, ob das nun die Versionsnummer eines alten Freetz-Standes oder die Version von "freetz-linux" (also der VM, die für den Einsatz mit Freetz vorbereitet wurde) sein soll.Mir ist bei der Suche aber aufgefallen, dass das funktionierende Plugin auf Basis von Freetz-1.1.4 auf einer FritzBox-7170 einen Eintrag : /var/mod/etc/init.d/rc.uvncrepeater hat. Der ist bei dem nicht funktionierenden Plugin auf der Speedport W920v nicht vorhanden.
Die einfachste Erklärung dafür wäre es schon mal, daß diese Änderung (nur ein "chmod") keine ist, die dazu führen würde, daß eine Datei als "neuer" angesehen wird. Daher kann es gut sein, daß die Datei nach dem Ändern der Flags gar nicht erneut kopiert wurde.Ferner verstehe ich nicht wiso das /etc/init.d/rc.uvncrepeater in der Firmware nicht ausführbar ist, obwohl ich es im freetz-make Verzeichniss durch chmod ausführbar gemacht habe.
root@fritz:/etc/init.d# rc.uvncrepeater status
running
root@fritz:/etc/init.d# rc.uvncrepeater stop
Stoping uvncrepeater...done.
root@fritz:/etc/init.d# rc.uvncrepeater status
stoped
root@fritz:/etc/init.d# rc.uvncrepeater start
adduser uvncrep...adduser: user 'uvncrep' in use
Starting uvncrepeater...done.
root@fritz:/etc/init.d# rc.uvncrepeater status
running
root@fritz:/etc/init.d#
root@fritz:/var/mod/etc/reg# cat daemon.reg
crond|crond|rc.crond|false|false|mod
dsld|dsld|rc.dsld|false|false|avm
ftpd|ftpd|rc.ftpd|false|false|avm
inetd|inetd|rc.inetd|false|false|inetd
multid|multid|rc.multid|false|false|avm
swap|swap|rc.swap|false|false|mod
syslogd|syslogd|rc.syslogd|false|false|syslogd
telnetd|telnetd|rc.telnetd|false|false|avm
webcfg|webcfg|rc.webcfg|false|false|mod
root@fritz:/var/mod/etc/reg#
#!/bin/sh
export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/mod/sbin:/mod/bin:/mod/usr/sbin:/mod/usr/bin
export LD_LIBRARY_PATH=/mod/lib
DAEMON=repeater
DAEMON_CONF=/tmp/flash/uvncrepeater.ini
DAEMON_LOG=/var/log/uvncrepeater.log
init() {
echo "copy uvncrepeater.ini to $DAEMON_CONF"
cp /etc/uvncrepeater.ini $DAEMON_CONF
}
start() {
echo -n 'adduser uvncrep...'
adduser -D -H uvncrep
if [ ! -r /tmp/flash/uvncrepeater.ini ]; then
init
fi
echo -n 'Starting uvncrepeater...'
if [ -z "$(pidof "$DAEMON")" ]; then
$DAEMON $DAEMON_CONF > $DAEMON_LOG 2>&1 &
exitval=$?
if [ "$exitval" -eq 0 ]; then
echo 'done.'
else
echo 'failed.'
fi
else
echo "$DAEMON is already running"
fi
}
stop() {
echo -n 'Stoping uvncrepeater...'
killall $DAEMON > /dev/null 2>&1
exitval=$?
if [ "$exitval" -eq 0 ]; then
echo 'done.'
else
echo 'failed.'
exit $exitval
fi
}
case "$1" in
""|load)
modreg daemon 'uvncrepeater'
start
;;
unload)
modunreg daemon 'uvncrepeater'
stop
;;
start)
start
;;
stop)
stop
;;
restart)
stop
sleep 1
start
;;
status)
if [ -z "$(pidof "$DAEMON")" ]; then
echo 'stopped'
else
echo 'running'
fi
;;
reset)
if [ ! -z "$(pidof "$DAEMON")" ]; then
stop
fi
init
start
;;
*)
echo "Usage: $0 [start|stop|restart|status|reset]" 1>&2
exit 1
;;
esac
exit 0